Index: c/src/ada-tests/mptests/mp10/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp10/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp10/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -60,5 +62,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             3,
@@ -70,5 +72,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             0,
@@ -79,5 +81,5 @@
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_CREATE" );
 
-         RTEMS.TASK_WAKE_AFTER( 10 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 10 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -85,5 +87,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Test_task 1 (local)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
             MPTEST.TASK_NAME( 1 ),
             1,
@@ -97,5 +99,5 @@
 
          TEXT_IO.PUT_LINE( "Starting Test_task 1 (local)" );
-         RTEMS.TASK_START(
+         RTEMS.TASKS.START(
             MPTEST.TASK_ID( 1 ),
             MPTEST.TEST_TASK_1'ACCESS,
@@ -106,5 +108,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Test_task 2 (local)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
             MPTEST.TASK_NAME( 2 ),
             1,
@@ -118,5 +120,5 @@
  
          TEXT_IO.PUT_LINE( "Starting Test_task 2 (local)" );
-         RTEMS.TASK_START(
+         RTEMS.TASKS.START(
             MPTEST.TASK_ID( 2 ),
             MPTEST.TEST_TASK_2'ACCESS,
@@ -127,5 +129,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Test_task 3 (local)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
             MPTEST.TASK_NAME( 3 ),
             1,
@@ -139,5 +141,5 @@
  
          TEXT_IO.PUT_LINE( "Starting Test_task 3 (local)" );
-         RTEMS.TASK_START(
+         RTEMS.TASKS.START(
             MPTEST.TASK_ID( 3 ),
             MPTEST.TEST_TASK_3'ACCESS,
@@ -148,17 +150,17 @@
 
          TEXT_IO.PUT_LINE( "Sleeping for 1 second ..." );
-         RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Deleting Test_task 2" );
-         RTEMS.TASK_DELETE( MPTEST.TASK_ID( 2 ), STATUS );
+         RTEMS.TASKS.DELETE( MPTEST.TASK_ID( 2 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF 2" );
 
          TEXT_IO.PUT_LINE( "Deleting Test_task 1" );
-         RTEMS.TASK_DELETE( MPTEST.TASK_ID( 1 ), STATUS );
+         RTEMS.TASKS.DELETE( MPTEST.TASK_ID( 1 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF 1" );
 
          TEXT_IO.PUT_LINE( "Restarting Test_task 3" );
-         RTEMS.TASK_RESTART( MPTEST.TASK_ID( 3 ), 1, STATUS );
+         RTEMS.TASKS.RESTART( MPTEST.TASK_ID( 3 ), 1, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_RESTART OF 3" );
 
@@ -171,5 +173,4 @@
    end INIT;
 
---PAGE
 --
 --  TEST_TASK_1
@@ -177,5 +178,5 @@
 
    procedure TEST_TASK_1 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       COUNT               : RTEMS.UNSIGNED32;
@@ -192,5 +193,5 @@
       loop
 
-         RTEMS.MESSAGE_QUEUE_IDENT(
+         RTEMS.MESSAGE_QUEUE.IDENT(
             MPTEST.QUEUE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -204,5 +205,5 @@
 
       TEXT_IO.PUT_LINE( "Attempting to receive message ..." );
-      RTEMS.MESSAGE_QUEUE_RECEIVE(
+      RTEMS.MESSAGE_QUEUE.RECEIVE(
          MPTEST.QUEUE_ID( 1 ),
          RECEIVE_BUFFER,
@@ -215,5 +216,4 @@
    end TEST_TASK_1;
 
---PAGE
 --
 --  TEST_TASK_2
@@ -221,5 +221,5 @@
  
    procedure TEST_TASK_2 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -230,5 +230,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT(
+         RTEMS.SEMAPHORE.IDENT(
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -242,5 +242,5 @@
 
       TEXT_IO.PUT_LINE( "Attempting to acquire semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
@@ -252,5 +252,4 @@
    end TEST_TASK_2;
 
---PAGE 
 -- 
 --  TEST_TASK_3
@@ -258,5 +257,5 @@
   
    procedure TEST_TASK_3 ( 
-      RESTART : in     RTEMS.TASK_ARGUMENT 
+      RESTART : in     RTEMS.TASKS.ARGUMENT 
    ) is 
       STATUS : RTEMS.STATUS_CODES;
@@ -265,5 +264,5 @@
       if RESTART = 1 then
 
-         RTEMS.TASK_DELETE( RTEMS.SELF, STATUS ); 
+         RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS ); 
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE" );
 
@@ -274,5 +273,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT(
+         RTEMS.SEMAPHORE.IDENT(
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -286,5 +285,5 @@
 
       TEXT_IO.PUT_LINE( "Attempting to acquire semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
Index: c/src/ada-tests/mptests/mp10/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp10/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp10/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -78,5 +79,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -91,5 +92,5 @@
 
    procedure TEST_TASK_1 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK_1);
@@ -104,5 +105,5 @@
  
    procedure TEST_TASK_2 ( 
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK_2);
@@ -117,5 +118,5 @@
  
    procedure TEST_TASK_3 ( 
-      RESTART : in     RTEMS.TASK_ARGUMENT
+      RESTART : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK_3);
Index: c/src/ada-tests/mptests/mp10/node1/mp10_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp10/node1/mp10_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp10/node1/mp10_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp10/node2/mp10_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp10/node2/mp10_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp10/node2/mp10_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp11/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp11/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp11/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,8 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.PARTITION;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +33,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +38,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -60,5 +63,5 @@
 
          TEXT_IO.PUT_LINE( "Attempting to create Test_task (Global)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
             MPTEST.TASK_NAME( 1 ),
             1,
@@ -77,5 +80,5 @@
 
          TEXT_IO.PUT_LINE( "Attempting to create Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             3,
@@ -94,5 +97,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             1,
@@ -109,5 +112,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Partition (Global)" );
-         RTEMS.PARTITION_CREATE(
+         RTEMS.PARTITION.CREATE(
             MPTEST.PARTITION_NAME( 1 ),
             MPTEST.PARTITION_AREA( 0 )'ADDRESS,
Index: c/src/ada-tests/mptests/mp11/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp11/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp11/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -74,5 +75,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
Index: c/src/ada-tests/mptests/mp11/node1/mp11_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp11/node1/mp11_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp11/node1/mp11_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp11/node2/mp11_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp11/node2/mp11_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp11/node2/mp11_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp12/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp12/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp12/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,6 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.PARTITION;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +31,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +36,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       BUFFER_ADDRESS : RTEMS.ADDRESS;
@@ -58,5 +59,5 @@
       if TEST_SUPPORT.NODE = 2 then
 
-         RTEMS.TASK_WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -65,5 +66,5 @@
          loop
 
-            RTEMS.PARTITION_IDENT(
+            RTEMS.PARTITION.IDENT(
                MPTEST.PARTITION_NAME( 1 ),
                RTEMS.SEARCH_ALL_NODES,
@@ -80,5 +81,5 @@
          );
 
-         RTEMS.PARTITION_DELETE( MPTEST.PARTITION_ID( 1 ), STATUS ); 
+         RTEMS.PARTITION.DELETE( MPTEST.PARTITION_ID( 1 ), STATUS ); 
          TEST_SUPPORT.FATAL_DIRECTIVE_STATUS( 
             STATUS, 
@@ -93,5 +94,5 @@
          TEXT_IO.PUT_LINE( "Obtaining a buffer from the global partition" );
 
-         RTEMS.PARTITION_GET_BUFFER(
+         RTEMS.PARTITION.GET_BUFFER(
             MPTEST.PARTITION_ID( 1 ),
             BUFFER_ADDRESS,
@@ -107,5 +108,5 @@
          TEXT_IO.NEW_LINE;
 
-         RTEMS.PARTITION_RETURN_BUFFER(
+         RTEMS.PARTITION.RETURN_BUFFER(
             MPTEST.PARTITION_ID( 1 ),
             BUFFER_ADDRESS,
@@ -114,5 +115,5 @@
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "PARTITION_RETURN_BUFFER" );
 
-         RTEMS.TASK_WAKE_AFTER( 2 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 2 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -120,5 +121,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Partition (Global)" );
-         RTEMS.PARTITION_CREATE(
+         RTEMS.PARTITION.CREATE(
             MPTEST.PARTITION_NAME( 1 ),
             MPTEST.PARTITION_AREA( 0 )'ADDRESS,
@@ -132,9 +133,9 @@
 
          TEXT_IO.PUT_LINE( "Sleeping for three seconds" );
-         RTEMS.TASK_WAKE_AFTER( 3 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 3 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Deleting Partition (Global)" );
-         RTEMS.PARTITION_DELETE( MPTEST.PARTITION_ID( 1 ), STATUS );
+         RTEMS.PARTITION.DELETE( MPTEST.PARTITION_ID( 1 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "PARTITION_DELETE" );
 
Index: c/src/ada-tests/mptests/mp12/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp12/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp12/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -64,5 +65,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
Index: c/src/ada-tests/mptests/mp12/node1/mp12_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp12/node1/mp12_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp12/node1/mp12_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp12/node2/mp12_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp12/node2/mp12_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp12/node2/mp12_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp13/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp13/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -58,5 +60,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             3,
@@ -68,5 +70,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             1,
@@ -77,5 +79,5 @@
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_CREATE" );
 
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -88,5 +90,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task 1 (local)" );
-         RTEMS.TASK_CREATE(
+         RTEMS.TASKS.CREATE(
          MPTEST.TASK_NAME( 1 ),
          1,
@@ -100,5 +102,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task 1 (local)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK_1'ACCESS,
@@ -109,5 +111,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task 2 (local)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.TASK_NAME( 2 ),
          1,
@@ -121,5 +123,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task 2 (local)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 2 ),
          MPTEST.TEST_TASK_2'ACCESS,
@@ -131,5 +133,5 @@
       if TEST_SUPPORT.NODE = 1 then
 
-         RTEMS.TASK_WAKE_AFTER( 5 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( 5 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -141,10 +143,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK_1
@@ -152,5 +153,5 @@
 
    procedure TEST_TASK_1 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       COUNT               : RTEMS.UNSIGNED32;
@@ -167,5 +168,5 @@
       loop
 
-         RTEMS.MESSAGE_QUEUE_IDENT(
+         RTEMS.MESSAGE_QUEUE.IDENT(
             MPTEST.QUEUE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -181,5 +182,5 @@
 
          TEXT_IO.PUT_LINE( "Receiving message ..." );
-         RTEMS.MESSAGE_QUEUE_RECEIVE(
+         RTEMS.MESSAGE_QUEUE.RECEIVE(
             MPTEST.QUEUE_ID( 1 ),
             RECEIVE_BUFFER,
@@ -193,9 +194,9 @@
       end if;
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Receiving message ..." );
-      RTEMS.MESSAGE_QUEUE_RECEIVE(
+      RTEMS.MESSAGE_QUEUE.RECEIVE(
          MPTEST.QUEUE_ID( 1 ),
          RECEIVE_BUFFER,
@@ -220,10 +221,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting self" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end TEST_TASK_1;
 
---PAGE
 --
 --  TEST_TASK_2
@@ -231,5 +231,5 @@
 
    procedure TEST_TASK_2 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -240,5 +240,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT(
+         RTEMS.SEMAPHORE.IDENT(
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -253,16 +253,16 @@
       if TEST_SUPPORT.NODE = 1 then
 
-         RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Releasing semaphore ..." );
-         RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+         RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
-         RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
+         RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
          TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -273,5 +273,5 @@
 
          TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -284,9 +284,9 @@
       end if;
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND / 2, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
@@ -297,12 +297,12 @@
 
       TEXT_IO.PUT_LINE( "Releasing semaphore ..." );
-      RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+      RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
-      RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
       TEXT_IO.PUT_LINE( "Getting semaphore ..." );
-      RTEMS.SEMAPHORE_OBTAIN(
+      RTEMS.SEMAPHORE.OBTAIN(
          MPTEST.SEMAPHORE_ID( 1 ),
          RTEMS.DEFAULT_OPTIONS,
Index: c/src/ada-tests/mptests/mp13/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp13/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp13/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -72,5 +73,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -85,5 +86,5 @@
 
    procedure TEST_TASK_1 (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK_1);
@@ -98,5 +99,5 @@
  
    procedure TEST_TASK_2 ( 
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK_2);
Index: c/src/ada-tests/mptests/mp13/node1/mp13_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp13/node1/mp13_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp13/node1/mp13_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp13/node2/mp13_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp13/node2/mp13_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp13/node2/mp13_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
